Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.document.relaxng.impl
Class SchemaImpl

    java.lang.Object
      xmltorng.document.relaxng.impl.SchemaImpl

All Implemented Interfaces:
  Schema

    public class SchemaImpl

extends java.lang.Object
implements Schema

Constructor Summary
`SchemaImpl(ElementDefinition[] elementDefinitions)`

Method Summary
`ElementDefinition` | `getElementDefinition(int index)` Return the element definition index `index`.
`int` | `getElementDefinitionCount()` Return the eelement definition count.
`Pattern` | `getStart()` Return the start pattern.
`void` | `setStart(Pattern start)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaImpl

    public SchemaImpl(ElementDefinition[] elementDefinitions)

Method Detail

### setStart

    public void setStart(Pattern start)

### getElementDefinitionCount

    public int getElementDefinitionCount()

  Description copied from interface: `Schema`
  Return the eelement definition count. Is >= 0

  Specified by:
    `getElementDefinitionCount` in interface `Schema`

### getElementDefinition

    public ElementDefinition getElementDefinition(int index)

  Description copied from interface: `Schema`
  Return the element definition index `index`. `0 <= index < elementDefinitionCount`.

  Specified by:
    `getElementDefinition` in interface `Schema`

### getStart

    public Pattern getStart()

  Description copied from interface: `Schema`
  Return the start pattern. Is either a Ref pattern, a choice pattern, an empty pattern or null if not allowed.

  Specified by:
    `getStart` in interface `Schema`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD